{{- if eq .Values.monitoring.enabled true }}
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: {{ .Release.Name }}-{{ include "radix-daemon.name" . }}
  namespace: prometheus-system
  labels:
  {{- include "radix-daemon.labels" . | nindent 4 }}
    release: prometheus
spec:
  endpoints:
  - port: promapi
    path: {{ .Values.monitoring.serviceMonitor.path }}
    interval: {{ .Values.monitoring.serviceMonitor.interval }}
  - port: jmxremote
    interval: {{ .Values.monitoring.serviceMonitor.interval }}
  selector:
    matchLabels:
      app.kubernetes.io/instance: {{ include "radix-daemon.fullname" . }}
{{- end }}
